{
  pkgs,
  lib,
  ...
}: {
  dconf.settings = {
    "org/gnome/desktop/interface" = {
      color-scheme = lib.mkForce "prefer-dark";
    };
    "org/gnome/shell" = {
      disable-user-extensions = false;

      # `gnome-extensions list` for a list
      enabled-extensions = [
        "gjsosk@vishram1123.com"
        "gsconnect@andyholmes.github.io"
        "screen-rotate@shyzus.github.io"
        "dash-to-dock@micxgx.gmail.com"
        "launch-new-instance@gnome-shell-extensions.gcampax.github.com"
        "forge@jmmaranan.com"
        "power-profile-switcher@eliapasquali.github.io"
      ];
    };
  };

  # Extensions
  home.packages = with pkgs; [
    gnomeExtensions.gsconnect
    gnomeExtensions.screen-rotate
    gnomeExtensions.dash-to-dock
    gnomeExtensions.launch-new-instance
    gnomeExtensions.forge
    gnomeExtensions.power-profile-switcher
    #gnomeExtensions.gjs-osk -- Disabled due to issue with read only file system
  ];
}
